datefmt(1)

# NAME

datefmt - format timestamps in text streams

# SYNPOSIS

*datefmt* [--after timestamp] [--before timestamp] [--past] [--future] [--version] [--ms]

# DESCRIPTION

*datefmt* is a tool that formats timestamps in text streams. For example,
if you have a log file with unix timestamps, you can pipe it to datefmt
to convert these timestamps into formatted dates.

# OPTIONS

*-a, --after <timestamp>*
	only format timestamps after this date (default: 2000-01-01Z)

*-b, --before <timestamp>*
	only format timestamps before this date 

*-p, --past*
	only format timestamps in the past

*-f, --future*
	only format timestamps in the future

*-m, --ms*
	interpret timestamps as milliseconds instead of seconds

*--version*
	display version and exit

# FORMAT

a strftime(3) format string. defaults to '%F %R'

# EXAMPLE

datefmt --after $(date -d yesterday +%s) %R < log.txt
